USRP Hardware Driver and USRP Manual: uhd::features::trig_io_mode_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
uhd::features::trig_io_mode_iface Class Referenceabstract

`#include <uhd/features/trig_io_mode_iface.hpp>`

Inheritance diagram for uhd::features::trig_io_mode_iface:

## Public Types
using | sptr = std::shared_ptr<trig_io_mode_iface>
Public Types inherited from uhd::features::discoverable_feature
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions
std::string | get_feature_name () const
| Returns a human-readable string name of this feature.
virtual | ~trig_io_mode_iface ()=default
virtual void | set_trig_io_mode (const uhd::trig_io_mode_t mode)=0
| Set the mode for the trig i/o port.
Public Member Functions inherited from uhd::features::discoverable_feature
virtual | ~discoverable_feature ()=default

## Static Public Member Functions
static discoverable_feature::feature_id_t | get_feature_id ()

## Detailed Description

Interface to provide access to set the mode of the Trig In/Out port. Currently, only the X4xx series of devices supports this.

## Member Typedef Documentation

## ◆ sptr

using uhd::features::trig_io_mode_iface::sptr = std::shared_ptr<trig_io_mode_iface>

## Constructor & Destructor Documentation

## ◆ ~trig_io_mode_iface()

virtual uhd::features::trig_io_mode_iface::~trig_io_mode_iface | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ get_feature_id()

static discoverable_feature::feature_id_t uhd::features::trig_io_mode_iface::get_feature_id | ( |  | ) |
| inlinestatic

## ◆ get_feature_name()

std::string uhd::features::trig_io_mode_iface::get_feature_name | ( |  | ) | const
| inlinevirtual

Returns a human-readable string name of this feature.

Implements uhd::features::discoverable_feature.

## ◆ set_trig_io_mode()

virtual void uhd::features::trig_io_mode_iface::set_trig_io_mode | ( | const uhd::trig_io_mode_t | mode | ) |
| pure virtual

Set the mode for the trig i/o port.

The documentation for this class was generated from the following file:

- trig_io_mode_iface.hpp